summaryrefslogtreecommitdiff
path: root/testsuite/gna/ticket87/testsuite.sh
diff options
context:
space:
mode:
Diffstat (limited to 'testsuite/gna/ticket87/testsuite.sh')
-rwxr-xr-xtestsuite/gna/ticket87/testsuite.sh17
1 files changed, 17 insertions, 0 deletions
diff --git a/testsuite/gna/ticket87/testsuite.sh b/testsuite/gna/ticket87/testsuite.sh
new file mode 100755
index 0000000..8e87fd9
--- /dev/null
+++ b/testsuite/gna/ticket87/testsuite.sh
@@ -0,0 +1,17 @@
+#! /bin/sh
+
+. ../../testenv.sh
+
+mkdir dir1 dir2 || true
+
+cd dir1
+analyze ../hello.vhdl
+elab_simulate hello
+
+cd ../dir2
+elab_simulate --workdir=../dir1 hello
+
+cd ..
+rm -rf dir1 dir2
+
+echo "Test successful"